using System;

namespace Sasa.QualityTools.DrFx.Tests.Violation.CSharp.Microsoft.Design
{
   public class Rule1061Base
    {
       private string value = "nil";

       protected string Value
       {
           get
           {
               return this.value;
           }
           set
           {
               this.value = value;
           }
       }

       public void Update(string value)
       {
           this.value = value;
       }

       public override string ToString()
       {
           return this.value;
       }
    }

   public class Rule1061 : Rule1061Base
   {
       public void Update(object value)
       {
           Value = (string)value;
       }
   }
}
